Bug 21860

Summary: 2.7.99.1+git20090519 freezes when switching TTY's
Product: xorg Reporter: Bart Verwilst <bart>
Component: Driver/intelAssignee: Jesse Barnes <jbarnes>
Status: RESOLVED FIXED QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: medium Keywords: NEEDINFO
Version: git   
Hardware: x86 (IA32)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:
Attachments:
Description Flags
Xorg.0.log none

Description Bart Verwilst 2009-05-21 17:00:21 UTC
How to reproduce ( on Ubuntu 9.04 system ):

 - Install packages from xorg-edgers PPA.
 - Log in as normal user
 - Try to open a guest session ( right corner of screen )
 - Screen turns black, and after a couple of seconds show purple lines on the bottom
 - Hard rebooting is the only thing that works..

Anything I can do to help debug this?

Thanks!
Comment 1 Gordon Jin 2009-05-21 18:29:01 UTC
Please attach Xorg.0.log.

Does switching to text console (e.g. Ctrl-Alt-F2) work?
Comment 2 Bart Verwilst 2009-05-22 07:41:08 UTC
Created attachment 26114 [details]
Xorg.0.log
Comment 3 Bart Verwilst 2009-05-22 07:43:16 UTC
Switching to text console does not work the first time, the screen acts as a stroboscope, with a small line of garbled text on the top cm. Switching back to X and then back to text console makes it work fine.
Comment 4 Jesse Barnes 2009-06-23 18:09:54 UTC
Still see this with more recent edgers bits (including the kernel)?
Comment 5 Jesse Barnes 2009-07-08 13:58:08 UTC
Assuming this is fixed now...

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.